package hibintro.v1.run;

import hibintro.util.HibernateUtil;
import hibintro.v1.model.User;

import org.hibernate.Session;
import org.hibernate.Transaction;


/**
 * @author goik
 * 
 * Persisting a simple instance of {@link User}
 *
 */
public class PersistUsers {

  public static void main(String[] args) {
    final Session session = HibernateUtil.createSessionFactory("hibernate.cfg.xml").openSession();

    final Transaction transaction = session.beginTransaction();

    final User users[] = {new User("Fred", "Wings"),
        new User("Eve", "Briggs")} ;
    for (final User u : users ) {
      session.save(u);
    }

    transaction.commit();
  }
}